API references
Merchant API

Creates a payment link bulk processing batch and returns a pre-signed URL to upload the input xlsx file.

After creating the batch, upload the xlsx file to upload_url using the returned headers, then call prepare-payment-link-batch and poll find-batch until the status is PREPARED.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/create-payment-link-batch HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
filename: string,
md5_hash: string,
byte_size: number,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
filename string

Required. The name of the xlsx file to be uploaded. Must end with .xlsx.

md5_hash string

Required. The MD5 hash of the file to be uploaded. This is used to verify the integrity of the file during upload.

byte_size number

Required. The size of the file in bytes.

Response attributes
Attribute Description
batch_id
string

Always present. The unique identifier of the batch.

upload_url
string

Nullable. The pre-signed URL to upload the input xlsx file. Present while the file has not been uploaded yet.

headers
object

Nullable. The HTTP headers required for the upload request.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.